Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 982663 - gdb/printcmd.c:487: internal-error: failed internal consistency check
Summary: gdb/printcmd.c:487: internal-error: failed internal consistency check
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 19
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-09 14:05 UTC by John Reiser
Modified: 2014-09-29 14:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-29 14:43:32 UTC
Type: Bug


Attachments (Terms of Use)
tsvd3.cpp for test case (1.77 KB, text/x-c++src)
2013-07-09 14:05 UTC, John Reiser
no flags Details
gemv2.cpp for test case (5.54 KB, text/plain)
2013-07-09 14:11 UTC, John Reiser
no flags Details

Description John Reiser 2013-07-09 14:05:03 UTC
Created attachment 771040 [details]
tsvd3.cpp for test case

Description of problem: gdb gets lost with some debuginfo, and becomes unusable because internal consistency checks fail and get in the way.


Version-Release number of selected component (if applicable):
GNU gdb (GDB) Fedora (7.6-30.fc19)


How reproducible: every time


Steps to Reproduce:
1. yum install lapack blas
2. debuginfo install lapack-3.4.2-2.fc19.i686
3. yum install valgrind
4. gcc -g -c gemv2.cpp
5. gcc -g -c tsvd3.cpp
6. gcc -g gemv2.o tsvd3.o  -llapack -lblas -lstdc++ -o tsvd3
7. valgrind --track-origins=yes --vgdb-error=0 --fullpath-after= ./tsvd3
8. gdb ./tsvd3
9. (gdb) target remote | /usr/lib/valgrind/../../bin/vgdb
10. (gdb) continue

Actual results:
Remote debugging using | /usr/lib/valgrind/../../bin/vgdb
relaying data between gdb and process 2065
Reading symbols from /lib/ld-linux.so.2...Reading symbols from /usr/lib/debug/lib/ld-2.17.so.debug...done.
done.
Loaded symbols for /lib/ld-linux.so.2
0x4ee42020 in _start () from /lib/ld-linux.so.2
(gdb) c
Continuing.

Program received signal SIGTRAP, Trace/breakpoint trap.
0x046acf19 in dnrm2 (n=
../../gdb/printcmd.c:487: internal-error: failed internal consistency check
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n) 

Expected results: no internal inconsistency


Additional info: Also fails in the same way on x86_64.

$ gcc --version
gcc (GCC) 4.8.1 20130603 (Red Hat 4.8.1-1)

----- /var/log/yum.log
Jul 08 22:33:41 Installed: blas-3.4.2-2.fc19.i686
Jul 08 22:33:49 Installed: lapack-3.4.2-2.fc19.i686
Jul 08 22:36:21 Installed: gcc-base-debuginfo-4.8.1-1.fc19.i686
Jul 08 22:36:25 Installed: glibc-debuginfo-common-2.17-11.fc19.i686
Jul 08 22:36:37 Installed: glibc-debuginfo-2.17-11.fc19.i686
Jul 08 22:38:06 Installed: gcc-debuginfo-4.8.1-1.fc19.i686
Jul 08 22:38:19 Installed: lapack-debuginfo-3.4.2-2.fc19.i686
Jul 08 22:39:27 Installed: 1:valgrind-3.8.1-15.fc19.i686
-----

Comment 1 John Reiser 2013-07-09 14:11:15 UTC
Created attachment 771041 [details]
gemv2.cpp for test case

[valgrind-users] thread https://sourceforge.net/mailarchive/message.php?msg_id=31146700

Comment 2 Jan Kratochvil 2013-07-17 02:05:11 UTC
Sorry but I do not have it reproducible, even on Fedora 19 i686.
A bugreport from ABRT or at least backtrace of that crashed GDB would be more helpful to see how that can happen.

Comment 3 John Reiser 2014-09-29 14:43:32 UTC
I am closing this bug because of its age, lack of similar reports by other users, and the lack of resources to pursue it.


Note You need to log in before you can comment on or make changes to this bug.